vec1.hpp File Reference

GLM_GTC_vec1 More...

Go to the source code of this file.

## Typedefs

typedef highp_bvec1 | bvec1
| 1 component vector of boolean. More...
typedef highp_dvec1 | dvec1
| 1 component vector of floating-point numbers. More...
typedef highp_bvec1_t | highp_bvec1
| 1 component vector of high precision boolean. More...
typedef highp_dvec1_t | highp_dvec1
| 1 component vector of high precision floating-point numbers. More...
typedef highp_ivec1_t | highp_ivec1
| 1 component vector of high precision signed integer numbers. More...
typedef highp_uvec1_t | highp_uvec1
| 1 component vector of high precision unsigned integer numbers. More...
typedef highp_ivec1 | ivec1
| 1 component vector of signed integer numbers. More...
typedef lowp_bvec1_t | lowp_bvec1
| 1 component vector of low precision boolean. More...
typedef lowp_dvec1_t | lowp_dvec1
| 1 component vector of low precision floating-point numbers. More...
typedef lowp_ivec1_t | lowp_ivec1
| 1 component vector of low precision signed integer numbers. More...
typedef lowp_uvec1_t | lowp_uvec1
| 1 component vector of low precision unsigned integer numbers. More...
typedef mediump_bvec1_t | mediump_bvec1
| 1 component vector of medium precision boolean. More...
typedef mediump_dvec1_t | mediump_dvec1
| 1 component vector of medium precision floating-point numbers. More...
typedef mediump_ivec1_t | mediump_ivec1
| 1 component vector of medium precision signed integer numbers. More...
typedef mediump_uvec1_t | mediump_uvec1
| 1 component vector of medium precision unsigned integer numbers. More...
typedef highp_uvec1 | uvec1
| 1 component vector of unsigned integer numbers. More...
typedef highp_vec1 | vec1
| 1 component vector of floating-point numbers. More...

## Detailed Description

GLM_GTC_vec1

See also
  GLM Core (dependence)

Definition in file vec1.hpp.